OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSolid

# IGESSolid_SolidInstance Class Reference

defines SolidInstance, Type <430> Form Number <0>
in package IGESSolid
This provides a mechanism for replicating a solid
representation.
From IGES-5.3, Form may be <1> for a BREP
Else it is for a Boolean Tree, Primitive, other Solid Inst.

`#include <IGESSolid_SolidInstance.hxx>`

Inheritance diagram for IGESSolid_SolidInstance:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSolid_SolidInstance ()
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&anEntity)
| This method is used to set the fields of the class SolidInstance - anEntity : the entity corresponding to the solid .
Standard_EXPORT Standard_Boolean | IsBrep () const
| Tells if a SolidInstance is for a BREP Default is False .
Standard_EXPORT void | SetBrep (const Standard_Boolean brep)
| Sets or unsets the Brep status (FormNumber = 1 else 0) .
Standard_EXPORT Handle_IGESData_IGESEntity | Entity () const
| returns the solid entity
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESData_IGESEntity | theEntity

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_SolidInstance::IGESSolid_SolidInstance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESSolid_SolidInstance::Entity | ( |  | ) | const

Standard_EXPORT const IGESSolid_SolidInstance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_SolidInstance::Init | ( | const Handle(IGESData_IGESEntity)& | anEntity | ) |

Standard_EXPORT Standard_Boolean IGESSolid_SolidInstance::IsBrep | ( |  | ) | const

Standard_EXPORT void IGESSolid_SolidInstance::SetBrep | ( | const Standard_Boolean | brep | ) |

## Field Documentation

Handle_IGESData_IGESEntity IGESSolid_SolidInstance::theEntity`[private]`

The documentation for this class was generated from the following file:

- IGESSolid_SolidInstance.hxx